Jump to content
  • Checkout
  • Login
  • Get in touch

osCommerce

The e-commerce.

Please help - The usual install errors!


Guest

Recommended Posts

Hi there

 

I have literally wasted hours and hours trying to install OSCommerce - I had no probs with Zencart.

 

Have tried to do what is listed on this site as well as on the rest of the internet to no avail. Uninstalled / re-installed, changed php.ini .htaccess, etc. There are so many confusing posts that I don't know what to do now.

 

Here are the details:

 

I tried to install the product using Fantastico. Installed to directory http://www.mydomain.co.za/osc

 

My PHP version is 4.4.3, Mysql = 4.1.21-standard. OSC =

 

I got the known error : Server Requirement Error: register_globals is disabled in your PHP configuration. This can be enabled in your php.ini configuration file or in the .htaccess file in your catalog directory.

I then changed the .htaccess file in the directory www.mydomain to set the register globals on:

Then I get the following error:

 

Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

 

So what d I do now? BTW - I do not have a catalog directory _ I have copied one manually in one of my previous attempts - but that made no difference!

 

Please also tell me whether I need to install a patch for security reasons - and indicate which one - as once again there are several versions....

 

Thanks a mil.

Link to comment
Share on other sites

Hi there

 

I have literally wasted hours and hours trying to install OSCommerce - I had no probs with Zencart.

 

Have tried to do what is listed on this site as well as on the rest of the internet to no avail. Uninstalled / re-installed, changed php.ini .htaccess, etc. There are so many confusing posts that I don't know what to do now.

 

Here are the details:

 

I tried to install the product using Fantastico. Installed to directory http://www.mydomain.co.za/osc

 

My PHP version is 4.4.3, Mysql = 4.1.21-standard. OSC =

 

I got the known error : Server Requirement Error: register_globals is disabled in your PHP configuration. This can be enabled in your php.ini configuration file or in the .htaccess file in your catalog directory.

I then changed the .htaccess file in the directory www.mydomain to set the register globals on:

Then I get the following error:

 

Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

 

So what d I do now? BTW - I do not have a catalog directory _ I have copied one manually in one of my previous attempts - but that made no difference!

 

Please also tell me whether I need to install a patch for security reasons - and indicate which one - as once again there are several versions....

 

Thanks a mil.

 

I just finished installing M2.2 for someone on here that had spent a lot of time unsuccessfully trying to install it. I had no problem at all installing it on his linux box (on GoDaddy, no less)

 

I don't trust the Control Panel installs of packaged programs. They don't seem to test the stuff and I've rarely seen it happen correctly.

 

What I did was wipe the attempted install he had, FTP up the 060817 version for linux boxes from the OsCommerce archives and, using the server info he supplied, installed it with no problems whatsoever.

 

If you want, I can do the same for you or, you can download the archive from here, wipe what you have now and try it again.

 

Richard

No Good Deed EVER Goes Unpunished

Link to comment
Share on other sites

I just finished installing M2.2 for someone on here that had spent a lot of time unsuccessfully trying to install it. I had no problem at all installing it on his linux box (on GoDaddy, no less)

 

I don't trust the Control Panel installs of packaged programs. They don't seem to test the stuff and I've rarely seen it happen correctly.

 

What I did was wipe the attempted install he had, FTP up the 060817 version for linux boxes from the OsCommerce archives and, using the server info he supplied, installed it with no problems whatsoever.

 

If you want, I can do the same for you or, you can download the archive from here, wipe what you have now and try it again.

 

Richard

 

Do you have a URL for me to install/ftp from?

Link to comment
Share on other sites

Yes

 

http://www.oscommerce.com/solutions/downloads

 

Download the windows one or the linux one, it doesn't matter and Winzip should open either one.

 

Richard

 

Same problems here. Have the files loaded, updated the register_globals files, uploaded the .htaccess and still receive the "It's not on" or the "Server hates you" messages. I uploaded in FTP with the files on the site here.

 

Question: Does anyone have a zip file with all of the updated registar_global files already in place? This may help justin case we are putting the updated files in the wrong area.

 

Richard, I would love to take you up on the offer of loading this program. :blush: My FTP is cranky and I thought I put all the files up correctly. Apparently, I was wrong.....

 

Cory

Link to comment
Share on other sites

Yes, you can install the Register Globals patch file set, but most Contributions won't work with Register Globals set to 'off' in php.ini

 

Do this instead. In your root level osCommerce folder, and in your osCommerce admin and install folders put a php.ini file which you have created for yourself - with just this code in it (nothing else):

 

register_globals = On

 

Vger

Link to comment
Share on other sites

Yes, you can install the Register Globals patch file set, but most Contributions won't work with Register Globals set to 'off' in php.ini

 

Do this instead. In your root level osCommerce folder, and in your osCommerce admin and install folders put a php.ini file which you have created for yourself - with just this code in it (nothing else):

 

register_globals = On

 

Vger

 

Thanks Vger. Now I am just receiving the Internal Server Error. Here is the server information (if that makes a difference):

 

Operating system Linux

Kernel version 2.4.21-47.0.1.ELsmp

Machine Type i686

Apache version 1.3.37 (Unix)

PERL version 5.8.7

Path to PERL /usr/bin/perl

Path to sendmail /usr/sbin/sendmail

PHP version 4.4.3

MySQL version 5.0.24-standard

Link to comment
Share on other sites

Same problems here. Have the files loaded, updated the register_globals files, uploaded the .htaccess and still receive the "It's not on" or the "Server hates you" messages. I uploaded in FTP with the files on the site here.

 

Question: Does anyone have a zip file with all of the updated registar_global files already in place? This may help justin case we are putting the updated files in the wrong area.

 

Richard, I would love to take you up on the offer of loading this program. :blush: My FTP is cranky and I thought I put all the files up correctly. Apparently, I was wrong.....

 

Cory

 

Cory,

 

I would love to install the program for everyone that's having problems doing it too, but, I'd never get MY store up and running. LOL

 

I'm will to do a reasonable number of installs until it starts interferring with the progress of my store as I would like to, eventually, make some money out of my store LMAO

 

Vger,

 

I know that there are no "flavours" of OsC, but, on the download page, they are listed under Windows and Linux and I was just trying to make it easy for people who don't read the fine print.

 

All,

 

Vger's comment about making the php.ini file in the root is correct, however, if the server already has a php.ini file in the root, just ADD his code to it (if it doesn't have an entry for register_globals) or CHANGE the code to match his if it does.

 

We wouldn't want you to overwrite an existing copy of a php.ini file.

 

Richard

No Good Deed EVER Goes Unpunished

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...